Public Member Functions
GridWidget Class Reference

## Detailed Description

The GridWidget object represents the user interface control that shows a GridData object inside a Property Page.

It exposes information that is transitive and directly related to the state of the control itself rather than the underlying GridData. For example, this object exposes information about which cells the user has clicked on.

Unlike the actual GridData content, the selection state is lost when the Property Page is closed and then reopened.

Note:
  The layout of the GridData on the property page is defined by the PPGItem object that represents the GridData on the PPGLayout for that property page. For example, the ::siUIGridSelectionMode attribute controls whether cells are selected individually, by row or column, or not at all (see ::siPPGItemAttribute).

See also:
  GridData::GetGridWidget

Since:
  4.2

`#include <xsi_gridwidget.h>`

Inheritance diagram for GridWidget:
[legend]

List of all members.

## Public Member Functions
| GridWidget ()
| ~GridWidget ()
| GridWidget (const CRef &in_ref)
| GridWidget (const GridWidget &in_obj)
bool | IsA (siClassID in_ClassID) const
siClassID | GetClassID () const
GridWidget & | operator= (const GridWidget &in_obj)
GridWidget & | operator= (const CRef &in_ref)
bool | IsCellSelected (LONG in_Column, LONG in_Row) const
bool | IsRowSelected (LONG in_Row) const
bool | IsColumnSelected (LONG in_Column) const
CStatus | AddToSelection (LONG in_Column, LONG in_Row)
CStatus | ClearSelection ()
CStatus | SortColumn (LONG in_Column, bool in_bAscending)
CStatus | GetSelection (CLongArray &out_rArraySelection) const

## Constructor & Destructor Documentation

GridWidget | ( |  | ) |

Default constructor.

~GridWidget | ( |  | ) |

Default destructor.

GridWidget | ( | const CRef & | in_ref | ) |

Constructor.

Parameters:

  in_ref | constant reference object.

GridWidget | ( | const GridWidget & | in_obj | ) |

Copy constructor.

Parameters:

  in_obj | constant class object.

## Member Function Documentation

bool IsA | ( | siClassID | in_ClassID | ) | const`[virtual]`

Returns true if a given class type is compatible with this API class.

Parameters:

  in_ClassID | class type.

Returns:
  true if the class is compatible, false otherwise.

Reimplemented from CBase.

siClassID GetClassID | ( |  | ) | const`[virtual]`

Returns the type of the API class.

Returns:
  The class type.

Implements CBase.

GridWidget& operator= | ( | const GridWidget & | in_obj | ) |

Creates an object from another object.

Parameters:

  in_obj | constant class object.

Returns:
  The new GridWidget object.

GridWidget& operator= | ( | const CRef & | in_ref | ) |

Creates an object from a reference object. The newly created object is set to empty if the input reference object is not compatible.

Parameters:

  in_ref | constant class object.

Returns:
  The new GridWidget object.

bool IsCellSelected | ( | LONG | in_Column,
|  | LONG | in_Row
| ) |  | const

Tests whether a cell has been selected. If the Grid is in header selection mode then use GridWidget::IsRowSelected or GridWidget::IsColumnSelected instead. (For further information about configuring the selection mode see ::siUIGridSelectionMode in the ::siPPGItemAttribute enum documentation).

Parameters:

  in_Column | Index of the column where the cell is located.
  in_Row | Index of the row where the cell is located.

Returns:
  true if the specified cell is selected

bool IsRowSelected | ( | LONG | in_Row | ) | const

Tests whether an entire row has been selected

Parameters:

  in_Row | Index of the row to test.

Returns:
  true if the specified row is selected

bool IsColumnSelected | ( | LONG | in_Column | ) | const

Tests whether an entire column has been selected

Parameters:

  in_Column | Index of the column to test.

Returns:
  true if the specified column is selected

CStatus AddToSelection | ( | LONG | in_Column,
|  | LONG | in_Row
| ) |  |

Adds a cell to the selection. In header selection mode, specify -1 as the row to select an entire column, or specify -1 as the column to select an entire row.

Parameters:

  in_Column | Index of the column where the cell is located.
  in_Row | Index of the row where the cell is located.

Returns:
  Whether the selection change was successful or not.

CStatus ClearSelection | ( |  | ) |

Ensures that no cells are selected on the GridWidget.

Returns:
  Whether clearing the selection was successful or not.

Since:
  5.0

CStatus SortColumn | ( | LONG | in_Column,
|  | bool | in_bAscending
| ) |  |

Sorts the specified column in the direction indicated.

Parameters:

  in_Column | Index of the column to sort.
  in_bAscending | True to sort in ascending order; false for descending.

Returns:
  Whether the sort was successful or not.

Since:
  5.0

CStatus GetSelection | ( | CLongArray & | out_rArraySelection | ) | const

Get the current selection.

Parameters:

  out_rArraySelection | Column/row pairs representing the current selection.

Returns:
  Whether the GetSelection was successful or not.

Since:
  12.0

The documentation for this class was generated from the following file:

- xsi_gridwidget.h